Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038640
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorsometimes2018-05-28 11:352018-07-05 08:28
ReportermalsasuaView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision76b04df18c4c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038640: POS is ready but master refresh process is running yet

DescriptionSometimes, the POS is ready to do sales, but the master refresh process continue executing in background.
Steps To ReproduceSometimes:
. slow network
. execute master refresh
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0038894RR18Q2.1 closedjorge-garcia POS is ready but master refresh process is running yet 
has duplicate defect 0039359 closedRetail Login process takes more than 5 minutes to finish 
causes defect 0039366 closedjorge-garcia Error in the preference "No Auto Incremental Load at Login" 

-  Notes
(0104742)
malsasua (developer)
2018-05-28 11:41

We can reproduce it in 17Q2
(0104809)
jorge-garcia (developer)
2018-05-30 14:59

The issue is reproducible in PI with sessions module installed and with Chrome's network set as Fast 3G
(0104841)
hgbot (developer)
2018-05-31 13:25

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 76b04df18c4c746eb6c64dc621962f8d2aeb1dc1
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu May 31 10:19:17 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/76b04df18c4c746eb6c64dc621962f8d2aeb1dc1 [^]

Fixed issue 38640: POS is ready but master refresh process is running yet

The solution is to serialize the login process to wait until all datasources
are loaded in order to show the main window.

LoadRegistered windows now supports a callback.

The datasource array is a list of all datasources for the registered windows
instead of been a array for each windows defined.

---
M web/org.openbravo.mobile.core/source/data/ob-dal.js
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0104869)
marvintm (developer)
2018-06-01 12:31

There is currently a problem with the fix. In normal cases, both in full refresh and incremental refresh, it works as expected.

When there is a problem in a request in full refresh, this model and the corresponding ones fail, and finally a popup is shown explaining that the login failed and must be retried. This is also correct, and the expected behaviour.

However, when a request fails in incremental refresh, then the login should automatically navigate to the current window. However, this doesn't happen, and the loading process is stuck indefinitely. This is not correct.
(0104873)
hgbot (developer)
2018-06-01 13:15

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 105690edb8d3910e6b55f34ec70e17758467a224
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Jun 01 13:12:47 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/105690edb8d3910e6b55f34ec70e17758467a224 [^]

Related to issue 38640: POS is ready but master refresh process is running yet

Added callback if incremental refresh fail to render main window.

---
M web/org.openbravo.mobile.core/source/data/ob-dal.js
---
(0104874)
hgbot (developer)
2018-06-01 13:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 255ac6b87d396bf2532e0da925fc55cf8e344d1e
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri Jun 01 13:13:57 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/255ac6b87d396bf2532e0da925fc55cf8e344d1e [^]

Related to issue 38640: POS is ready but master refresh process is running yet

If manifest fails, OK button callback should launch showLoading window.

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0104921)
hgbot (developer)
2018-06-04 15:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a6c771b881019b10cab2a36bb6be2198f31c3794
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Jun 04 13:48:17 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a6c771b881019b10cab2a36bb6be2198f31c3794 [^]

Related to issue 38640: POS is ready but master refresh process is running yet

Added flag terminalCorrectlyLoadedFromBackend to terminal object to indicate
if terminal request has succedeed.

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0104922)
hgbot (developer)
2018-06-04 15:03

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 836c4838e9c711332ebab37674336b051f1492ef
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Jun 04 13:50:23 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/836c4838e9c711332ebab37674336b051f1492ef [^]

Related to issue 38640: POS is ready but master refresh process is running yet

If the terminal object has been correctly loaded from backend, do not execute
business date check from sessions.

---
M web/org.openbravo.retail.sessions/js/components/loginhook.js
---
(0105603)
jorge-garcia (developer)
2018-07-05 08:26

Reopened to create backports

- Issue History
Date Modified Username Field Change
2018-05-28 11:35 malsasua New Issue
2018-05-28 11:35 malsasua Assigned To => Retail
2018-05-28 11:35 malsasua Triggers an Emergency Pack => No
2018-05-28 11:41 malsasua Note Added: 0104742
2018-05-30 14:57 jorge-garcia Status new => scheduled
2018-05-30 14:57 jorge-garcia Assigned To Retail => jorge-garcia
2018-05-30 14:59 jorge-garcia Note Added: 0104809
2018-05-31 13:25 hgbot Checkin
2018-05-31 13:25 hgbot Note Added: 0104841
2018-05-31 13:25 hgbot Status scheduled => resolved
2018-05-31 13:25 hgbot Resolution open => fixed
2018-05-31 13:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/76b04df18c4c746eb6c64dc621962f8d2aeb1dc1 [^]
2018-06-01 12:31 marvintm Note Added: 0104869
2018-06-01 12:31 marvintm Status resolved => new
2018-06-01 12:31 marvintm Resolution fixed => open
2018-06-01 13:15 hgbot Checkin
2018-06-01 13:15 hgbot Note Added: 0104873
2018-06-01 13:15 hgbot Checkin
2018-06-01 13:15 hgbot Note Added: 0104874
2018-06-01 13:15 jorge-garcia Status new => scheduled
2018-06-01 13:15 jorge-garcia Status scheduled => resolved
2018-06-01 13:15 jorge-garcia Fixed in Version => RR18Q3
2018-06-01 13:15 jorge-garcia Resolution open => fixed
2018-06-04 12:04 jorgewederago Issue Monitored: jorgewederago
2018-06-04 15:03 hgbot Checkin
2018-06-04 15:03 hgbot Note Added: 0104921
2018-06-04 15:03 hgbot Checkin
2018-06-04 15:03 hgbot Note Added: 0104922
2018-06-05 09:39 marvintm Review Assigned To => marvintm
2018-06-05 09:39 marvintm Status resolved => closed
2018-07-05 08:26 jorge-garcia Note Added: 0105603
2018-07-05 08:26 jorge-garcia Status closed => new
2018-07-05 08:26 jorge-garcia Resolution fixed => open
2018-07-05 08:26 jorge-garcia Fixed in Version RR18Q3 =>
2018-07-05 08:27 jorge-garcia Status new => scheduled
2018-07-05 08:28 jorge-garcia Status scheduled => resolved
2018-07-05 08:28 jorge-garcia Resolution open => fixed
2018-07-05 08:28 jorge-garcia Status resolved => closed
2018-07-05 08:28 jorge-garcia Fixed in Version => RR18Q3
2018-09-27 11:12 jorge-garcia Relationship added has duplicate 0039359
2018-09-28 11:53 jorge-garcia Relationship added causes 0039366


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker